#!/usr/bin/python3

from tkinter import *   
from tkinter import colorchooser         

fenetre = Tk()

# fonction de chargement de l'image


# fonction de dessin d'un cercle
def dessin(event):

    X = event.x                                       # on recupère la position de la souris
    Y = event.y
    r = int(spin.get())                               # on récupère la taille du pinceau
    canvas.create_oval(X-r, Y-r, X+r, Y+r, outline = boutCouleur.couleur, fill = boutCouleur.couleur)    # on trace le cercle    


# fonction pour choisir la couleur
def choixCouleur():
  
    (c, boutCouleur.couleur) = colorchooser.askcolor(boutCouleur.couleur)


frame = Frame(fenetre)                                                   # un cadre pour grouper des widget

boutCouleur =  Button(frame, text = "Couleur", command = choixCouleur) 

boutCouleur.couleur = '#808080'                                       # pour que la couleur courante soit suvegardée quelquepart

boutCouleur.grid()                                                    # par défaut en position (0,0)

label = Label(frame, text = "taille")

label.grid(row = 0, column = 1)

spin = Spinbox(frame, from_ = 1, to = 50, increment = 1)

spin.grid(row = 0, column = 2)

frame.pack()

canvas = Canvas(fenetre, width = 400, height = 300)

canvas.bind('<Button-1>', dessin)                                      # la foction dessin va etre appelée quand on clique à gauche

canvas.bind('<B1-Motion>', dessin)                                     # la fonction dessin va être appelée quand on bouge la souris alors que le bouton gauche est enfoncé

canvas.pack()

fenetre.mainloop()